Home of the Squeezebox™ & Transporter® network music players.
Results 1 to 2 of 2
  1. #1
    Carlton Remy
    Guest

    perl Time::HiRes

    How can I make slimserver.pl find the 'right' version of Time::HiRes module?

    RedHat 7.3 / perl 5.8.1 (5.6.1 is also installed). I installed
    slimserver from the RPM and installed the Time::HR module from
    slimdevices RPM, yet when I try to run slimserver.pl, I get "Time::HiRes
    object version 1.51 does not match $Time::HiRes::XS_VERSION 1.38 at
    /usr/local/lib/perl5/5.8.1/i686-linux/DynaLoader.pm line 249."

    I'm starting to bug out here...
    Thanks.

  2. #2
    Gadfly, Former Founder Slim Devices dean's Avatar
    Join Date
    Apr 2005
    Location
    San Francisco, CA
    Posts
    4,427

    perl Time::HiRes

    The RPM that we have on our web site is for the Perl RPM that comes
    with RH9.

    Find the RPM appropriate for 7.3 and use that one. Google found this
    one for me:

    <http://www.klid.dk/sw/redhat/7.3/dis...erl-Time-HiRes
    -1.20-14.i386.rpm>

    -dean

    On Nov 21, 2003, at 6:42 PM, Carlton Remy wrote:

    > How can I make slimserver.pl find the 'right' version of Time::HiRes
    > module?
    >
    > RedHat 7.3 / perl 5.8.1 (5.6.1 is also installed). I installed
    > slimserver from the RPM and installed the Time::HR module from
    > slimdevices RPM, yet when I try to run slimserver.pl, I get
    > "Time::HiRes
    > object version 1.51 does not match $Time::HiRes::XS_VERSION 1.38 at
    > /usr/local/lib/perl5/5.8.1/i686-linux/DynaLoader.pm line 249."
    >
    > I'm starting to bug out here...
    > Thanks.
    >
    >
    >

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •